Bug 10475 - Item form in acquisition not hiding subfields properly
Summary: Item form in acquisition not hiding subfields properly
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Bugs List
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-16 21:45 UTC by Katrin Fischer
Modified: 2014-12-07 20:03 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
screenshot (28.94 KB, image/png)
2013-06-16 21:49 UTC, Katrin Fischer
Details
Bug 10475 - Item form in acquisition not hiding subfields properly (10.52 KB, patch)
2013-06-25 17:02 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10475 - Item form in acquisition not hiding subfields properly (10.54 KB, patch)
2013-06-29 10:08 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 10475 - Item form in acquisition not hiding subfields properly (10.66 KB, patch)
2013-06-30 07:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-06-16 21:45:55 UTC
It seems Bug 7116 has made some kind of reapparance in the order screen when ordering from existing records.

If you hide subfields in your ACQ framework, these will be hidden in the item form when ordering items (AcqCreateItem = on order) but there is blank space where they used to be.

This leaves the form quite long, while you want to hide fields to make it shorter and easier to handle.
Comment 1 Katrin Fischer 2013-06-16 21:49:46 UTC
Created attachment 19052 [details]
screenshot
Comment 2 Owen Leonard 2013-06-25 17:02:15 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2013-06-29 10:08:50 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2013-06-30 07:53:36 UTC
Created attachment 19291 [details] [review]
[PASSED QA] Bug 10475 - Item form in acquisition not hiding subfields properly

Subfields hidden in your ACQ framework leave a gap where they used to
be in the item entry form when adding an item to an order. This patch
makes the same change made by 7116 to services/itemrecorddisplay.tt to
correct the problem.

To test:

- Edit your ACQ framework and set some item subfields to hidden in the
  editor.
- Set your  AcqCreateItem system preference to "when placing an order."
- Add a title to an existing basket from an existing record.

The item entry form should display correctly with your hidden subfields
hidden. No whitespace should be left behind where the subfields were
hidden.

Also changed: Invalid "size" attributes on hidden form fields in
neworderempty.tt, stray </li>.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works nicely, passes all tests and QA script.
Thx Owen!
Comment 5 Galen Charlton 2013-07-12 20:48:28 UTC
Pushed to master.  Thanks, Owen!
Comment 6 Tomás Cohen Arazi 2013-07-16 20:02:53 UTC
This patch has been pushed to 3.12.x, will be in 3.12.2.

Thanks Owen!
Comment 7 Bernardo Gonzalez Kriegel 2013-08-04 19:58:11 UTC
Pushed to 3.10.x, will be in 3.10.10